SoBaseColor(3)

NAME
SoBaseColor - The SoBaseColor class provides a node type for convenient setting of the base material color.

SYNOPSIS

#include <Inventor/nodes/SoBaseColor.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoBaseColor (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoMFColor rgb

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoBaseColor ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoBaseColor class provides a node type for convenient setting of the base material color. If you want to just set the diffuse color of the following geometry, you can use this node for simplicity.

FILE FORMAT/DEFAULTS:

BaseColor {
    rgb 0.8 0.8 0.8
}

See also
    SoMaterial

Constructor & Destructor Documentation

  SoBaseColor::SoBaseColor (void)
Constructor.

  SoBaseColor::~SoBaseColor () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoBaseColor::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoBaseColor::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoBaseColor::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoBaseColor::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoBaseColor::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoBaseColor::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoBaseColor::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Member Data Documentation

  SoMFColor SoBaseColor::rgb
Color values. Default value of field is to have a single gray color.

Author

Generated automatically by Doxygen for Coin from the source code.